---
references:
- id: AlquierUserfriendly2021
  accessed:
    - year: 2021
      month: 10
      day: 26
  author:
    - family: Alquier
      given: Pierre
  citation-key: AlquierUserfriendly2021
  container-title: arXiv:2110.11216 [cs, math, stat]
  issued:
    - year: 2021
      month: 10
      day: 21
  title: User-friendly introduction to PAC-Bayes bounds
  type: article-journal
  URL: http://arxiv.org/abs/2110.11216

- id: ChadaConvergence2022
  accessed:
    - year: 2022
      month: 8
      day: 23
  author:
    - family: Chada
      given: Neil
    - family: Tong
      given: Xin
  citation-key: ChadaConvergence2022
  container-title: Mathematics of Computation
  container-title-short: Math. Comp.
  DOI: 10.1090/mcom/3709
  ISSN: 0025-5718, 1088-6842
  issue: '335'
  issued:
    - year: 2022
      month: 5
  language: en
  page: 1247-1280
  title: Convergence acceleration of ensemble Kalman inversion in nonlinear settings
  type: article-journal
  URL: https://arxiv.org/abs/1911.02424v2
  volume: '91'

- id: ChipmanBayesian2006
  author:
    - family: Chipman
      given: Hugh A
    - family: George
      given: Edward I
    - family: Mcculloch
      given: Robert E
  citation-key: ChipmanBayesian2006
  issued:
    - year: 2006
  language: en
  page: '8'
  title: Bayesian Ensemble Learning
  type: paper-conference

- id: ClarkeComparing2003
  accessed:
    - year: 2021
      month: 8
      day: 6
  author:
    - family: Clarke
      given: Bertrand
  citation-key: ClarkeComparing2003
  container-title: The Journal of Machine Learning Research
  container-title-short: J. Mach. Learn. Res.
  DOI: 10.1162/153244304773936090
  ISSN: 1532-4435
  issue: 'null'
  issued:
    - year: 2003
      month: 12
      day: 1
  page: 683–712
  title: >-
    Comparing Bayes model averaging and stacking when model approximation error
    cannot be ignored
  type: article-journal
  volume: '4'

- id: DandekarBayesian2021
  accessed:
    - year: 2021
      month: 7
      day: 12
  author:
    - family: Dandekar
      given: Raj
    - family: Chung
      given: Karen
    - family: Dixit
      given: Vaibhav
    - family: Tarek
      given: Mohamed
    - family: Garcia-Valadez
      given: Aslan
    - family: Vemula
      given: Krishna Vishal
    - family: Rackauckas
      given: Chris
  citation-key: DandekarBayesian2021
  container-title: arXiv:2012.07244 [cs]
  issued:
    - year: 2021
      month: 3
      day: 3
  title: Bayesian Neural Ordinary Differential Equations
  type: article-journal
  URL: http://arxiv.org/abs/2012.07244

- id: DaxbergerLaplace2021
  accessed:
    - year: 2021
      month: 11
      day: 2
  author:
    - family: Daxberger
      given: Erik
    - family: Kristiadi
      given: Agustinus
    - family: Immer
      given: Alexander
    - family: Eschenhagen
      given: Runa
    - family: Bauer
      given: Matthias
    - family: Hennig
      given: Philipp
  citation-key: DaxbergerLaplace2021
  container-title: arXiv:2106.14806 [cs, stat]
  issued:
    - year: 2021
      month: 10
      day: 30
  title: Laplace Redux — Effortless Bayesian Deep Learning
  type: paper-conference
  URL: http://arxiv.org/abs/2106.14806

- id: DurasovMasksembles2021
  accessed:
    - year: 2023
      month: 11
      day: 13
  author:
    - family: Durasov
      given: Nikita
    - family: Bagautdinov
      given: Timur
    - family: Baque
      given: Pierre
    - family: Fua
      given: Pascal
  citation-key: DurasovMasksembles2021
  container-title: 2021 IEEE/CVF Conference on Computer Vision and Pattern Recognition (CVPR)
  DOI: 10.48550/arXiv.2012.08334
  event-title: >-
    Proceedings of the IEEE/CVF Conference on Computer Vision and Pattern
    Recognition
  issued:
    - year: 2021
      month: 6
      day: 25
  publisher: arXiv
  title: Masksembles for Uncertainty Estimation
  type: paper-conference
  URL: http://arxiv.org/abs/2012.08334

- id: FoongPathologies2019
  author:
    - family: Foong
      given: Andrew Y K
    - family: Burt
      given: David R
    - family: Li
      given: Yingzhen
    - family: Turner
      given: Richard E
  citation-key: FoongPathologies2019
  container-title: 4th workshop on Bayesian Deep Learning (NeurIPS 2019)
  issued:
    - year: 2019
  language: en
  page: '17'
  title: >-
    Pathologies of Factorised Gaussian and MC Dropout Posteriors in Bayesian
    Neural Networks
  type: paper-conference

- id: GalBayesian2016
  accessed:
    - year: 2017
      month: 2
      day: 12
  author:
    - family: Gal
      given: Yarin
    - family: Ghahramani
      given: Zoubin
  citation-key: GalBayesian2016
  container-title: >-
    4th International Conference on Learning Representations (ICLR) workshop
    track
  issued:
    - year: 2016
  title: >-
    Bayesian Convolutional Neural Networks with Bernoulli Approximate
    Variational Inference
  type: paper-conference
  URL: http://arxiv.org/abs/1506.02158

- id: GalConcrete2017
  accessed:
    - year: 2020
      month: 12
      day: 14
  author:
    - family: Gal
      given: Yarin
    - family: Hron
      given: Jiri
    - family: Kendall
      given: Alex
  citation-key: GalConcrete2017
  container-title: arXiv:1705.07832 [stat]
  issued:
    - year: 2017
      month: 5
      day: 22
  title: Concrete Dropout
  type: article-journal
  URL: http://arxiv.org/abs/1705.07832

- id: GalDropout2015
  accessed:
    - year: 2017
      month: 2
      day: 12
  author:
    - family: Gal
      given: Yarin
    - family: Ghahramani
      given: Zoubin
  citation-key: GalDropout2015
  container-title: >-
    Proceedings of the 33rd International Conference on Machine Learning
    (ICML-16)
  event-title: Proceedings of The 33rd International Conference on Machine Learning
  issued:
    - year: 2015
      month: 6
      day: 6
  title: >-
    Dropout as a Bayesian Approximation: Representing Model Uncertainty in Deep
    Learning
  type: paper-conference
  URL: http://arxiv.org/abs/1506.02142

- id: GalDropout2016
  accessed:
    - year: 2021
      month: 3
      day: 2
  author:
    - family: Gal
      given: Yarin
    - family: Ghahramani
      given: Zoubin
  citation-key: GalDropout2016
  container-title: arXiv:1506.02157 [stat]
  issued:
    - year: 2016
      month: 5
      day: 25
  language: en
  title: 'Dropout as a Bayesian Approximation: Appendix'
  type: article-journal
  URL: http://arxiv.org/abs/1506.02157

- id: GalTheoretically2016
  accessed:
    - year: 2017
      month: 6
      day: 21
  author:
    - family: Gal
      given: Yarin
    - family: Ghahramani
      given: Zoubin
  citation-key: GalTheoretically2016
  container-title: arXiv:1512.05287 [stat]
  event-title: NIPS
  issued:
    - year: 2016
  title: A Theoretically Grounded Application of Dropout in Recurrent Neural Networks
  type: paper-conference
  URL: http://arxiv.org/abs/1512.05287

- id: HaberNever2018
  accessed:
    - year: 2018
      month: 7
      day: 10
  author:
    - family: Haber
      given: Eldad
    - family: Lucka
      given: Felix
    - family: Ruthotto
      given: Lars
  citation-key: HaberNever2018
  container-title: arXiv:1805.08034 [cs, math]
  issued:
    - year: 2018
      month: 5
      day: 21
  title: >-
    Never look back - A modified EnKF method and its application to the training
    of neural networks without back propagation
  type: article-journal
  URL: http://arxiv.org/abs/1805.08034

- id: HeBayesian2020
  accessed:
    - year: 2020
      month: 12
      day: 10
  author:
    - family: He
      given: Bobby
    - family: Lakshminarayanan
      given: Balaji
    - family: Teh
      given: Yee Whye
  citation-key: HeBayesian2020
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2020
  language: en
  title: Bayesian Deep Ensembles via the Neural Tangent Kernel
  type: paper-conference
  URL: >-
    https://proceedings.neurips.cc//paper_files/paper/2020/hash/0b1ec366924b26fc98fa7b71a9c249cf-Abstract.html
  volume: '33'

- id: HintonDistilling2015
  accessed:
    - year: 2020
      month: 3
      day: 22
  author:
    - family: Hinton
      given: Geoffrey
    - family: Vinyals
      given: Oriol
    - family: Dean
      given: Jeff
  citation-key: HintonDistilling2015
  container-title: arXiv:1503.02531 [cs, stat]
  issued:
    - year: 2015
      month: 3
      day: 9
  title: Distilling the Knowledge in a Neural Network
  type: article-journal
  URL: http://arxiv.org/abs/1503.02531

- id: HuangDeep2016
  author:
    - family: Huang
      given: Gao
    - family: Sun
      given: Yu
    - family: Liu
      given: Zhuang
    - family: Sedra
      given: Daniel
    - family: Weinberger
      given: Kilian Q.
  citation-key: HuangDeep2016
  collection-title: Lecture Notes in Computer Science
  container-title: Computer Vision – ECCV 2016
  DOI: 10.1007/978-3-319-46493-0_39
  editor:
    - family: Leibe
      given: Bastian
    - family: Matas
      given: Jiri
    - family: Sebe
      given: Nicu
    - family: Welling
      given: Max
  event-place: Cham
  ISBN: 978-3-319-46493-0
  issued:
    - year: 2016
  language: en
  page: 646-661
  publisher: Springer International Publishing
  publisher-place: Cham
  title: Deep Networks with Stochastic Depth
  type: paper-conference
  URL: http://arxiv.org/abs/1603.09382

- id: KasimMillion2019
  author:
    - family: Kasim
      given: Muhammad
    - family: Topp-Mugglestone
      given: J
    - family: Hatﬁeld
      given: P
    - family: Froula
      given: D H
    - family: Gregori
      given: G
    - family: Jarvis
      given: M
    - family: Viezzer
      given: E
    - family: Vinko
      given: Sam
  citation-key: KasimMillion2019
  event-title: NeurIPS
  issued:
    - year: 2019
  language: en
  page: '5'
  title: A million times speed up in parameters retrieval with deep learning
  type: paper-conference

- id: KasimTwo2020
  accessed:
    - year: 2020
      month: 3
      day: 6
  author:
    - family: Kasim
      given: M. F.
    - family: Watson-Parris
      given: D.
    - family: Deaconu
      given: L.
    - family: Oliver
      given: S.
    - family: Hatfield
      given: P.
    - family: Froula
      given: D. H.
    - family: Gregori
      given: G.
    - family: Jarvis
      given: M.
    - family: Khatiwala
      given: S.
    - family: Korenaga
      given: J.
    - family: Topp-Mugglestone
      given: J.
    - family: Viezzer
      given: E.
    - family: Vinko
      given: S. M.
  citation-key: KasimTwo2020
  container-title: arXiv:2001.08055 [physics, stat]
  issued:
    - year: 2020
      month: 1
      day: 17
  language: en
  title: >-
    Up to two billion times acceleration of scientific simulations with deep
    neural architecture search
  type: article-journal
  URL: http://arxiv.org/abs/2001.08055

- id: KingmaVariational2015
  accessed:
    - year: 2018
      month: 4
      day: 3
  author:
    - family: Kingma
      given: Diederik P.
    - family: Salimans
      given: Tim
    - family: Welling
      given: Max
  citation-key: KingmaVariational2015
  collection-title: NIPS'15
  container-title: >-
    Proceedings of the 28th International Conference on Neural Information
    Processing Systems - Volume 2
  event-place: Cambridge, MA, USA
  issued:
    - year: 2015
      month: 6
      day: 8
  page: 2575–2583
  publisher: MIT Press
  publisher-place: Cambridge, MA, USA
  title: Variational Dropout and the Local Reparameterization Trick
  type: paper-conference
  URL: http://arxiv.org/abs/1506.02557

- id: KovachkiEnsemble2019
  accessed:
    - year: 2022
      month: 8
      day: 23
  author:
    - family: Kovachki
      given: Nikola B.
    - family: Stuart
      given: Andrew M.
  citation-key: KovachkiEnsemble2019
  container-title: Inverse Problems
  container-title-short: Inverse Problems
  DOI: 10.1088/1361-6420/ab1c3a
  ISSN: 0266-5611
  issue: '9'
  issued:
    - year: 2019
      month: 8
  language: en
  page: '095005'
  publisher: IOP Publishing
  title: >-
    Ensemble Kalman inversion: a derivative-free technique for machine learning
    tasks
  type: article-journal
  URL: https://arxiv.org/abs/1808.03620v1
  volume: '35'

- id: LakshminarayananSimple2017
  accessed:
    - year: 2020
      month: 12
      day: 13
  author:
    - family: Lakshminarayanan
      given: Balaji
    - family: Pritzel
      given: Alexander
    - family: Blundell
      given: Charles
  citation-key: LakshminarayananSimple2017
  collection-title: NIPS'17
  container-title: >-
    Proceedings of the 31st International Conference on Neural Information
    Processing Systems
  event-place: Red Hook, NY, USA
  ISBN: 978-1-5108-6096-4
  issued:
    - year: 2017
      month: 12
      day: 4
  page: 6405–6416
  publisher: Curran Associates Inc.
  publisher-place: Red Hook, NY, USA
  title: Simple and scalable predictive uncertainty estimation using deep ensembles
  type: paper-conference
  URL: http://arxiv.org/abs/1612.01474

- id: LeBayes2017
  accessed:
    - year: 2019
      month: 10
      day: 18
  author:
    - family: Le
      given: Tri
    - family: Clarke
      given: Bertrand
  citation-key: LeBayes2017
  container-title: Bayesian Analysis
  container-title-short: Bayesian Anal.
  DOI: 10.1214/16-BA1023
  ISSN: 1936-0975, 1931-6690
  issue: '3'
  issued:
    - year: 2017
      month: 9
  language: EN
  page: 807-829
  title: A Bayes Interpretation of Stacking for M-Complete and M-Open Settings
  type: article-journal
  volume: '12'

- id: MandtStochastic2017
  accessed:
    - year: 2018
      month: 4
      day: 3
  author:
    - family: Mandt
      given: Stephan
    - family: Hoffman
      given: Matthew D.
    - family: Blei
      given: David M.
  citation-key: MandtStochastic2017
  container-title: JMLR
  issued:
    - year: 2017
      month: 4
      day: 13
  title: Stochastic Gradient Descent as Approximate Bayesian Inference
  type: article-journal
  URL: http://arxiv.org/abs/1704.04289

- id: MinkaBayesian2002
  accessed:
    - year: 2021
      month: 8
      day: 6
  author:
    - family: Minka
      given: Thomas P.
  citation-key: MinkaBayesian2002
  issued:
    - year: 2002
  title: Bayesian model averaging is not model combination
  type: article
  URL: >-
    http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.362.4927&rep=rep1&type=pdf

- id: MolchanovVariational2017
  author:
    - family: Molchanov
      given: Dmitry
    - family: Ashukha
      given: Arsenii
    - family: Vetrov
      given: Dmitry
  citation-key: MolchanovVariational2017
  container-title: Proceedings of ICML
  event-title: ICML
  issued:
    - year: 2017
      month: 1
      day: 19
  title: Variational Dropout Sparsifies Deep Neural Networks
  type: paper-conference
  URL: http://arxiv.org/abs/1701.05369

- id: PapadopoulosConfidence2001
  author:
    - family: Papadopoulos
      given: G.
    - family: Edwards
      given: P.J.
    - family: Murray
      given: A.F.
  citation-key: PapadopoulosConfidence2001
  container-title: IEEE Transactions on Neural Networks
  DOI: 10.1109/72.963764
  ISSN: 1941-0093
  issue: '6'
  issued:
    - year: 2001
      month: 11
  page: 1278-1287
  title: 'Confidence estimation methods for neural networks: a practical comparison'
  type: article-journal
  volume: '12'

- id: PearceBayesian2018
  author:
    - family: Pearce
      given: Tim
    - family: Zaki
      given: Mohamed
    - family: Neely
      given: Andy
  citation-key: PearceBayesian2018
  container-title: Third workshop on Bayesian Deep Learning (NeurIPS 2018), Montréal, Canada.
  issued:
    - year: 2018
  language: en
  page: '5'
  title: Bayesian Neural Network Ensembles
  type: article-journal

- id: RitterSparse2021
  accessed:
    - year: 2021
      month: 9
      day: 29
  author:
    - family: Ritter
      given: Hippolyt
    - family: Kukla
      given: Martin
    - family: Zhang
      given: Cheng
    - family: Li
      given: Yingzhen
  citation-key: RitterSparse2021
  container-title: arXiv:2105.14594 [cs, stat]
  issued:
    - year: 2021
      month: 5
      day: 30
  language: en
  title: Sparse Uncertainty Representation in Deep Learning with Inducing Weights
  type: article-journal
  URL: http://arxiv.org/abs/2105.14594

- id: SheikhMaximizing2022
  author:
    - family: Sheikh
      given: Hassam Ullah
    - family: Phielipp
      given: Mariano
    - family: Boloni
      given: Ladislau
  citation-key: SheikhMaximizing2022
  issued:
    - year: 2022
  language: en
  page: '25'
  title: Maximizing ensemble diversity in deep reinforcement learning
  type: article-journal

- id: WangWisdom2021
  accessed:
    - year: 2021
      month: 11
      day: 24
  author:
    - family: Wang
      given: Xiaofang
    - family: Kondratyuk
      given: Dan
    - family: Christiansen
      given: Eric
    - family: Kitani
      given: Kris M.
    - family: Alon
      given: Yair
    - family: Eban
      given: Elad
  citation-key: WangWisdom2021
  container-title: arXiv:2012.01988 [cs]
  issued:
    - year: 2021
      month: 10
      day: 16
  title: >-
    Wisdom of Committees: An Overlooked Approach To Faster and More Accurate
    Models
  type: article-journal
  URL: http://arxiv.org/abs/2012.01988

- id: WenBatchEnsemble2020
  accessed:
    - year: 2020
      month: 12
      day: 9
  author:
    - family: Wen
      given: Yeming
    - family: Tran
      given: Dustin
    - family: Ba
      given: Jimmy
  citation-key: WenBatchEnsemble2020
  container-title: ICLR
  issued:
    - year: 2020
      month: 2
      day: 19
  title: >-
    BatchEnsemble: An Alternative Approach to Efficient Ensemble and Lifelong
    Learning
  type: paper-conference
  URL: http://arxiv.org/abs/2002.06715

- id: WilsonBayesian2020
  accessed:
    - year: 2021
      month: 9
      day: 24
  author:
    - family: Wilson
      given: Andrew Gordon
    - family: Izmailov
      given: Pavel
  citation-key: WilsonBayesian2020
  issued:
    - year: 2020
      month: 2
      day: 20
  language: en
  title: Bayesian Deep Learning and a Probabilistic Perspective of Generalization
  type: article-journal
  URL: https://arxiv.org/abs/2002.08791v3

- id: WortsmanLearning2021
  accessed:
    - year: 2021
      month: 2
      day: 25
  author:
    - family: Wortsman
      given: Mitchell
    - family: Horton
      given: Maxwell
    - family: Guestrin
      given: Carlos
    - family: Farhadi
      given: Ali
    - family: Rastegari
      given: Mohammad
  citation-key: WortsmanLearning2021
  container-title: arXiv:2102.10472 [cs]
  issued:
    - year: 2021
      month: 2
      day: 20
  title: Learning Neural Network Subspaces
  type: article-journal
  URL: http://arxiv.org/abs/2102.10472

- id: XieHorizontal2013
  accessed:
    - year: 2020
      month: 12
      day: 14
  author:
    - family: Xie
      given: Jingjing
    - family: Xu
      given: Bing
    - family: Chuang
      given: Zhang
  citation-key: XieHorizontal2013
  container-title: arXiv:1306.2759 [cs, stat]
  issued:
    - year: 2013
      month: 6
      day: 12
  title: Horizontal and Vertical Ensemble with Deep Representation for Classification
  type: article-journal
  URL: http://arxiv.org/abs/1306.2759

- id: YaoUsing2018
  accessed:
    - year: 2020
      month: 12
      day: 14
  author:
    - family: Yao
      given: Yuling
    - family: Vehtari
      given: Aki
    - family: Simpson
      given: Daniel
    - family: Gelman
      given: Andrew
  citation-key: YaoUsing2018
  container-title: Bayesian Analysis
  container-title-short: Bayesian Anal.
  DOI: 10.1214/17-BA1091
  ISSN: 1936-0975
  issue: '3'
  issued:
    - year: 2018
      month: 9
  page: 917-1007
  title: Using stacking to average Bayesian predictive distributions
  type: article-journal
  URL: http://arxiv.org/abs/1704.02030
  volume: '13'
...
